import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { BusWxUser } from '../models/index';
/**
 * @author auto generate
 * @version 1.2
 * @date 2020-12-11 14:21
 */
interface BusWxUserCU extends ConditionUtil<BusWxUserCU> {
    USER_ID: FieldUtil<BusWxUserCU>;
    M_PP_USER_ID: FieldUtil<BusWxUserCU>;
    USER_CAETGORY: FieldUtil<BusWxUserCU>;
    APP_ID: FieldUtil<BusWxUserCU>;
    OPEN_ID: FieldUtil<BusWxUserCU>;
    UNION_ID: FieldUtil<BusWxUserCU>;
    NICKNAME: FieldUtil<BusWxUserCU>;
    HEADER_IMG: FieldUtil<BusWxUserCU>;
    NAME: FieldUtil<BusWxUserCU>;
    SEX: FieldUtil<BusWxUserCU>;
    BIRTHDATE: FieldUtil<BusWxUserCU>;
    PROV_ID: FieldUtil<BusWxUserCU>;
    CITY_ID: FieldUtil<BusWxUserCU>;
    SUBSCRIBE_STATUS: FieldUtil<BusWxUserCU>;
    COMMON_LPN: FieldUtil<BusWxUserCU>;
    COMMON_LPN_SUFFIX: FieldUtil<BusWxUserCU>;
    IS_VIP_USER: FieldUtil<BusWxUserCU>;
    IS_PP_USER: FieldUtil<BusWxUserCU>;
    IS_ENTRUST: FieldUtil<BusWxUserCU>;
    IS_BLACK_LIST_USER: FieldUtil<BusWxUserCU>;
    DISTRICT_ID: FieldUtil<BusWxUserCU>;
    CREATE_TIME: FieldUtil<BusWxUserCU>;
    UPDATE_TIME: FieldUtil<BusWxUserCU>;
}
declare class BusWxUserMU extends TableUtilImpl<BusWxUserCU, BusWxUser> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): BusWxUserCU;
    static get USER_ID(): FieldUtil<BusWxUserCU>;
    static get M_PP_USER_ID(): FieldUtil<BusWxUserCU>;
    static get USER_CAETGORY(): FieldUtil<BusWxUserCU>;
    static get APP_ID(): FieldUtil<BusWxUserCU>;
    static get OPEN_ID(): FieldUtil<BusWxUserCU>;
    static get UNION_ID(): FieldUtil<BusWxUserCU>;
    static get NICKNAME(): FieldUtil<BusWxUserCU>;
    static get HEADER_IMG(): FieldUtil<BusWxUserCU>;
    static get NAME(): FieldUtil<BusWxUserCU>;
    static get SEX(): FieldUtil<BusWxUserCU>;
    static get BIRTHDATE(): FieldUtil<BusWxUserCU>;
    static get PROV_ID(): FieldUtil<BusWxUserCU>;
    static get CITY_ID(): FieldUtil<BusWxUserCU>;
    static get SUBSCRIBE_STATUS(): FieldUtil<BusWxUserCU>;
    static get COMMON_LPN(): FieldUtil<BusWxUserCU>;
    static get COMMON_LPN_SUFFIX(): FieldUtil<BusWxUserCU>;
    static get IS_VIP_USER(): FieldUtil<BusWxUserCU>;
    static get IS_PP_USER(): FieldUtil<BusWxUserCU>;
    static get IS_ENTRUST(): FieldUtil<BusWxUserCU>;
    static get IS_BLACK_LIST_USER(): FieldUtil<BusWxUserCU>;
    static get DISTRICT_ID(): FieldUtil<BusWxUserCU>;
    static get CREATE_TIME(): FieldUtil<BusWxUserCU>;
    static get UPDATE_TIME(): FieldUtil<BusWxUserCU>;
    get USER_ID(): FieldUtil<BusWxUserCU>;
    get M_PP_USER_ID(): FieldUtil<BusWxUserCU>;
    get USER_CAETGORY(): FieldUtil<BusWxUserCU>;
    get APP_ID(): FieldUtil<BusWxUserCU>;
    get OPEN_ID(): FieldUtil<BusWxUserCU>;
    get UNION_ID(): FieldUtil<BusWxUserCU>;
    get NICKNAME(): FieldUtil<BusWxUserCU>;
    get HEADER_IMG(): FieldUtil<BusWxUserCU>;
    get NAME(): FieldUtil<BusWxUserCU>;
    get SEX(): FieldUtil<BusWxUserCU>;
    get BIRTHDATE(): FieldUtil<BusWxUserCU>;
    get PROV_ID(): FieldUtil<BusWxUserCU>;
    get CITY_ID(): FieldUtil<BusWxUserCU>;
    get SUBSCRIBE_STATUS(): FieldUtil<BusWxUserCU>;
    get COMMON_LPN(): FieldUtil<BusWxUserCU>;
    get COMMON_LPN_SUFFIX(): FieldUtil<BusWxUserCU>;
    get IS_VIP_USER(): FieldUtil<BusWxUserCU>;
    get IS_PP_USER(): FieldUtil<BusWxUserCU>;
    get IS_ENTRUST(): FieldUtil<BusWxUserCU>;
    get IS_BLACK_LIST_USER(): FieldUtil<BusWxUserCU>;
    get DISTRICT_ID(): FieldUtil<BusWxUserCU>;
    get CREATE_TIME(): FieldUtil<BusWxUserCU>;
    get UPDATE_TIME(): FieldUtil<BusWxUserCU>;
}
export { BusWxUserMU, BusWxUserCU };
